Infront Data Manager Connect Client (.NET)

Public Member Functions | List of all members
Gevasys.DataCore.Client.IBinaryUpstreamClient Interface Reference

Interface for all classes that wants to implement a client for sending binary message data back to the server. More...

Inherited by Gevasys.DataCore.Client.BinaryUpstreamClient.

## Public Member Functions
void | BeginMessage (BaseBinaryMessage.MessageType messageType)
| Begins a message. More...
void | EndMessage ()
| Ends a message. More...
void | EmitByteArray (short fieldId, byte[] data)
| Emits a byte array. More...
void | EmitString (short fieldId, string data)
| vwd Field identifier. More...
void | EmitDouble (short fieldId, double data)
| vwd Field identifier. More...
void | EmitInt32 (short fieldId, Int32 data)
| vwd Field identifier. More...
void | EmitFloat (short fieldId, float data)
| vwd Field identifier. More...
void | EmitDateTime (short fieldId, DateTime data)
| vwd Field identifier. More...
void | EmitLong (short fieldId, long data)
| vwd Field identifier. More...
void | EmitShort (short fieldId, short data)
| vwd Field identifier. More...

## Detailed Description

Interface for all classes that wants to implement a client for sending binary message data back to the server.

## Member Function Documentation

## ◆ BeginMessage()

void Gevasys.DataCore.Client.IBinaryUpstreamClient.BeginMessage | ( | BaseBinaryMessage.MessageType | messageType | ) |

Begins a message.

Parameters

  messageType |

Implemented in Gevasys.DataCore.Client.BinaryUpstreamClient.

## ◆ EmitByteArray()

void Gevasys.DataCore.Client.IBinaryUpstreamClient.EmitByteArray | ( | short | fieldId,
|  | byte[] | data
| ) |  |

Emits a byte array.

Parameters

  fieldId | vwd Field identifier.
  data | A byte array with data.

This method can be used to emit custom protocol data such as Google ProtocolBuffers or XML Data.

To process these data the corresponding server process must know the content of the data.

For custom implementations please contact your vwd sales represantive.

Implemented in Gevasys.DataCore.Client.BinaryUpstreamClient.

## ◆ EmitDateTime()

void Gevasys.DataCore.Client.IBinaryUpstreamClient.EmitDateTime | ( | short | fieldId,
|  | DateTime | data
| ) |  |

vwd Field identifier.

Parameters

  fieldId |
  data | The data.

Implemented in Gevasys.DataCore.Client.BinaryUpstreamClient.

## ◆ EmitDouble()

void Gevasys.DataCore.Client.IBinaryUpstreamClient.EmitDouble | ( | short | fieldId,
|  | double | data
| ) |  |

vwd Field identifier.

Parameters

  fieldId |
  data | The data.

Implemented in Gevasys.DataCore.Client.BinaryUpstreamClient.

## ◆ EmitFloat()

void Gevasys.DataCore.Client.IBinaryUpstreamClient.EmitFloat | ( | short | fieldId,
|  | float | data
| ) |  |

vwd Field identifier.

Parameters

  fieldId |
  data | The data.

Implemented in Gevasys.DataCore.Client.BinaryUpstreamClient.

## ◆ EmitInt32()

void Gevasys.DataCore.Client.IBinaryUpstreamClient.EmitInt32 | ( | short | fieldId,
|  | Int32 | data
| ) |  |

vwd Field identifier.

Parameters

  fieldId |
  data | The data.

Implemented in Gevasys.DataCore.Client.BinaryUpstreamClient.

## ◆ EmitLong()

void Gevasys.DataCore.Client.IBinaryUpstreamClient.EmitLong | ( | short | fieldId,
|  | long | data
| ) |  |

vwd Field identifier.

Parameters

  fieldId |
  data | The data.

Implemented in Gevasys.DataCore.Client.BinaryUpstreamClient.

## ◆ EmitShort()

void Gevasys.DataCore.Client.IBinaryUpstreamClient.EmitShort | ( | short | fieldId,
|  | short | data
| ) |  |

vwd Field identifier.

Parameters

  fieldId |
  data | The data.

Implemented in Gevasys.DataCore.Client.BinaryUpstreamClient.

## ◆ EmitString()

void Gevasys.DataCore.Client.IBinaryUpstreamClient.EmitString | ( | short | fieldId,
|  | string | data
| ) |  |

vwd Field identifier.

Parameters

  fieldId |
  data | The data.

Implemented in Gevasys.DataCore.Client.BinaryUpstreamClient.

## ◆ EndMessage()

void Gevasys.DataCore.Client.IBinaryUpstreamClient.EndMessage | ( |  | ) |

Ends a message.

Implemented in Gevasys.DataCore.Client.BinaryUpstreamClient.

The documentation for this interface was generated from the following file:

- IUpstreamClient.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1